Bug 729877 - virt-v2v do not install virt-v2v.db file cause some issue
Summary: virt-v2v do not install virt-v2v.db file cause some issue
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: virt-v2v
Version: 6.2
Hardware: x86_64
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Matthew Booth
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-11 06:43 UTC by Huang Wenlong
Modified: 2013-10-20 21:44 UTC (History)
5 users (show)

Fixed In Version: virt-v2v-0.8.3-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-06 14:49:49 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1615 normal SHIPPED_LIVE Low: virt-v2v security and bug fix update 2011-12-06 00:51:05 UTC

Description Huang Wenlong 2011-08-11 06:43:04 UTC
Description of problem:
linux guest do not use the virtio driver  for disk and network after conversion

Version-Release number of selected component (if applicable):
virt-v2v-0.8.2-2.el6.x86_64
libguestfs-1.7.17-24.el6.x86_64
augeas-libs-0.9.0-1.el6.x86_64
febootstrap-supermin-helper-2.11-7.el6.x86_64
hivex-1.2.4-3.el6.x86_64
libguestfs-winsupport-1.0-7.el6.x86_64
libvirt-0.9.4-2.el6.x86_64
virtio-win-1.3.3-0.el6


How reproducible:
100%

Steps to Reproduce:
1. convert a linux guest
2. check guest's xml file after conversion

...

<disk type='file' device='disk'>
      <driver name='qemu' type='raw'/>
      <source file='/mnt/data/images/kvm-rhel5.7-but-grub-in-rhel6.1'/>
      <target dev='hda' bus='ide'/>
      <alias name='ide0-0-0'/>
      <address type='drive' controller='0' bus='0' unit='0'/>
    </disk>
...
 <interface type='bridge'>
      <mac address='54:52:00:78:b3:ef'/>
      <source bridge='breth0'/>
      <target dev='vnet1'/>
      <model type='e1000'/>
      <alias name='net0'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x03' function='0x0'/>
    </interface>

...
3.check the guest modprobe.conf file  if guest is rhel5
#cat /etc/modprobe.conf

before conversion :
alias eth0 8139cp
alias scsi_hostadapter ata_piix

after conversion :

alias eth0 e1000


 
Actual results:
do not use virtio driver

Expected results:
use virtio driver

Additional info:
rhel5 and rhel6 guest both can reproduce this bug
I test it with virt-v2v-0.8.2-1.el6.x86_64  , it is good  ,the guest will use virtio_blk and virtio_net , so it is a regression bug .

Comment 2 Huang Wenlong 2011-08-11 07:07:54 UTC
Hi,Matt

We also find  there is not /var/lib/virt-v2v/virt-v2v.db file in v2v host after
install virt-v2v-0.8.2-2  

some others problems seems relate with this file  

Now we can not convert  windows guest  , will get error like : 

 "virt-v2v: No app in config matches os='windows' name='virtio' major='6'
minor='1' arch='x86_64'"

major sometime = 5 ,and linux guest also get some message like but it can
convert successfully :

virt-v2v: No capability in config matches os='linux' name='virtio'
distro='rhel' major='5' minor='6'
virt-v2v: No capability in config matches os='linux' name='cirrus'
distro='rhel' major='5' minor='6'

and linux do not use virtio dirver . 

So I think these maybe all relate with  missing /var/lib/virt-v2v/virt-v2v.db .
 
Wenlong

Comment 3 yuping zhang 2011-08-12 03:36:51 UTC
As the package miss configure file virt-v2v.db,most of testing will fail.So Add "TestBlcoker" Keywords

Comment 5 yuping zhang 2011-08-23 10:43:54 UTC
Verify this issue with:
virt-v2v-0.8.3-1.el6.x86_64
libguestfs-1.7.17-26.el6.x86_64
libvirt-0.9.4-4.el6.x86_64

# ll /var/lib/virt-v2v/virt-v2v.db 
-rw-r--r--. 1 root root 6863 Aug 20 01:06 /var/lib/virt-v2v/virt-v2v.db

Converted linux/windows guests successfully.
So change the status to VERIFIED.

Comment 6 errata-xmlrpc 2011-12-06 14:49:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1615.html


Note You need to log in before you can comment on or make changes to this bug.